| Home | Libraries | People | FAQ | More

#### test::handler

A CompletionHandler used for testing.

##### Synopsis

Defined in header `<boost/beast/_experimental/test/handler.hpp>`

    class handler

##### Member Functions

Name | Description
--- | ---
handler |
operator() |
~handler |

##### Description

This completion handler is used by tests to ensure correctness of behavior. It is designed as a single type to reduce template instantiations, with configurable settings through constructor arguments. Typically this type will be used in type lists and not instantiated directly; instances of this class are returned by the helper functions listed below.

##### See Also

`test::success_handler`, `test::fail_handler`, `test::any_handler`